Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class MapFormat

    java.lang.Object
      java.text.Format
          org.objectstyle.cayenne.dataview.MapFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MapFormat

extends java.text.Format

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.Format
`java.text.Format.Field`

Constructor Summary
`MapFormat()`
`MapFormat(java.lang.Object[] values, java.lang.String[] formats)`
`MapFormat(java.lang.String pattern, java.lang.Class valueClass)`

Method Summary
`void` | `applyPattern(java.lang.String pattern)`
`void` | `applyPattern(java.lang.String pattern, java.lang.Class valueClass)`
`java.lang.StringBuffer` | `format(java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
`char` | `getEntryDelimiter()`
`java.lang.String[]` | `getFormats()`
`java.lang.String` | `getNullFormat()`
`java.lang.String` | `getNullValueDesignation()`
`char` | `getValueFormatDelimiter()`
`java.lang.Object[]` | `getValues()`
`java.lang.Object` | `parseObject(java.lang.String text, java.text.ParsePosition status)`
`void` | `setEntryDelimiter(char delimiter)`
`void` | `setMap(java.lang.Object[] values, java.lang.String[] formats)`
`void` | `setNullValueDesignation(java.lang.String nullValueDesignation)`
`void` | `setValueFormatDelimiter(char delimiter)`
`java.lang.String` | `toPattern()`

Methods inherited from class java.text.Format
`clone, format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFormat

    public MapFormat()

### MapFormat

    public MapFormat(java.lang.String pattern,
                     java.lang.Class valueClass)

### MapFormat

    public MapFormat(java.lang.Object[] values,
                     java.lang.String[] formats)

Method Detail

### setEntryDelimiter

    public void setEntryDelimiter(char delimiter)

### getEntryDelimiter

    public char getEntryDelimiter()

### setValueFormatDelimiter

    public void setValueFormatDelimiter(char delimiter)

### getValueFormatDelimiter

    public char getValueFormatDelimiter()

### setNullValueDesignation

    public void setNullValueDesignation(java.lang.String nullValueDesignation)

### getNullValueDesignation

    public java.lang.String getNullValueDesignation()

### getNullFormat

    public java.lang.String getNullFormat()

### setMap

    public void setMap(java.lang.Object[] values,
                       java.lang.String[] formats)

### getValues

    public java.lang.Object[] getValues()

### getFormats

    public java.lang.String[] getFormats()

### applyPattern

    public void applyPattern(java.lang.String pattern)

### applyPattern

    public void applyPattern(java.lang.String pattern,
                             java.lang.Class valueClass)

### parseObject

    public java.lang.Object parseObject(java.lang.String text,
                                        java.text.ParsePosition status)

  Specified by:
    `parseObject` in class `java.text.Format`

### format

    public java.lang.StringBuffer format(java.lang.Object obj,
                                         java.lang.StringBuffer toAppendTo,
                                         java.text.FieldPosition pos)

  Specified by:
    `format` in class `java.text.Format`

### toPattern

    public java.lang.String toPattern()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.